## denemo 0.8.16

=== debian/changelog ===
denemo (0.8.16-1ubuntu1) natty; urgency=low

  * Merge with Debian testing (LP: #638617), Ubuntu remaining changes:
    - debian/patches/ubuntuize.diff:
      + Provide a Ubuntu-specific customization.
    - debian/patches/fix_desktop.diff:
      + Add missing trailing semicolon.
      + Add MIME types.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 27 Oct 2010 08:00:18 +0200

denemo (0.8.16-1) unstable; urgency=low

  * New upstream release
  * debian/control build dependency on autopoint added
  * debian/dirs removed because dh_install creates all dirs needed
  * debian/smfsh.1 manpage deleted, now it is part of the package
    smf-utils
  * debian/rules export removed, because it is unnecessary.
  * use_libsmf_of_os.diff patch modified to avoid building
    libsmf.a because this is unnecessary.

 -- Josue Abarca <jmaslibre@debian.org.gt>  Tue, 24 May 2010 19:16:49 -0600

denemo (0.8.14-1) unstable; urgency=low

  * New upstream release
  * prefops.c.diff patch removed. Bug fixed by upstreamer
  * Makefile.am.diff modified to remove installed
    makefiles
  * doc_Makefile.am.diff patch DEP-3 doc updated
  * help.c.diff and configure.in.diff patch updated to
    match new upstreamer version
  * debian/ttf-denemo.install fetta.ttf font added
  * use_libsmf_of_os.diff patch added in ordet to use
    shared library libsmf from O. S., instead of
    static version
  * debian/control build dependency on libsmf added
  * debian/denemo.install smfsh droped because it is
    included in the libsmf0-utils debian package
  * debian/denemo.manpages smfsh.1 droped
  * debian/copyright Info about file fonts/fetta.ttf
    added

 -- Josue Abarca <jmaslibre@debian.org.gt>  Tue, 03 Apr 2010 14:08:29 -0600

denemo (0.8.12-1) unstable; urgency=low

  * New upstream release
  * 00_desktop.patch removed because denemo.desktop from
    upstreamer is now freedesktop.org compliant
  * denemo.conf.diff patch added to change the default
    browser, pdf viewer and text editor (closes: Bug#528858)
  * prefops.c.diff patch added in order to set the default
    audio driver of fluidsynth to "alsa".
  * Patches actions_Makefile.am.diff, doc_Makefile.am.diff
    and Makefile.am.diff added to avoid installing
    Makefiles (solves bugs known upstream as #28902
    and #28844)
  * configure.in.diff patch added to set the
    AM_GNU_GETTEXT_VERSION (solves bug known upstream
    as #29016)
  * debian/copyright Copyright of A320U.sf2 added
  * debian/control
    - Updated policy to 3.8.4 (no changes needed)
    - Build dependency on flex and bison added
    - Recommends alsa | jackd added
    - Package split into denemo, denemo-data, denemo-doc
      and ttf-denemo
  * denemo-data.install, denemo.install, denemo-doc.docs
    and ttf-denemo.install added.
  * Denemo's manual and examples have been
    moved to /usr/share/doc/denemo-doc/
  * debian/denemo.1 manpage improved
  * New Maintainer Thanks to Guenter Geiger for his previous work
    (closes: Bug#546955)
  * Switch to dpkg-source 3.0 (quilt) format
  * Converting patches from dpatch to quilt
  * debian/README.source deleted, because with 3.0 (quilt)
    this file is not needed
  * DEP-3 doc of the patches improved
  * debian/autogen.sh added to properly call to autoreconf
  * debian/rules
    - Call to debian/autogen.sh added
    - Delete files that are auto-generated by autoreconf

 -- Josue Abarca <jmaslibre@debian.org.gt>  Tue, 02 Feb 2010 14:08:29 -0600

denemo (0.8.10-1ubuntu1) lucid; urgency=low

  * Re-sync with debian testing, Ubuntu remaining changes:
    - debian/patches/04_ubuntuize.dpatch: Provide an Ubuntu's specific
      customization.
    - debian/patches/00_desktop.dpatch:
      + Add MIME types.
      + Add missing semicolon as trailing character at Categories field
        (as per spec).
  * debian/{control,rules,README.source}:
    - Switch to quilt, now patches are actually being applied.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 26 Nov 2009 13:53:03 +0100

denemo (0.8.10-1) unstable; urgency=low
  
  * QA upload.
  * New upstream release.
  * Fixed debian/copyright to contain all exceptions.
  * Debhelper 7 used to simplify debian/rules.
  * Subtle fix (missing slash) in watch file.

 -- Pietro Battiston <toobaz@email.it>  Thu, 05 Nov 2009 22:58:38 +0100

denemo (0.8.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Repackaged from scratch without CDBS.
  * New upstream release.
    Closes: #513285
    - Undo/redo data loss was fixed in 0.7.6
      Closes: #375606
    - Enhances lilypond compatibility
      Closes: #272613
    - Disables default keyboard focus to "open file" button
      Closes: #425579
    - Fixes pixbuf loading
      Closes: #522692
    - Menu item was added, with icon
      Closes: #299398
  * Patched view.c to show windows icon (solves bug known upstream as #27003)

 -- Pietro Battiston <toobaz@email.it>  Thu, 10 Sep 2009 11:12:08 +0200

denemo (0.7.7-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix recommends, as per release goal (Closes: #439929).  

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon, 31 Mar 2008 00:40:06 +0200

denemo (0.7.7-3) unstable; urgency=low

  * Added libsamplerate0-dev build dep (closes: #470448)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 11 Mar 2008 11:12:29 +0100

denemo (0.7.7-2) unstable; urgency=low

  * Recompile against new libaudbio and libfftw3-dev (closes: #465628)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 20 Feb 2008 12:25:14 +0100

denemo (0.7.7-1) unstable; urgency=low

  * New upstream version
  * Added portaudio dependency

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 08 Feb 2008 10:55:42 +0100

denemo (0.7.5-5) unstable; urgency=low

  * configure with --enable-alsa on linux only

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 23 Oct 2006 09:46:28 +0200

denemo (0.7.5-4ubuntu3) gutsy; urgency=low

  * Change default pdf viewer to evince, Closes LP: #70471


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

override_dh_clean:
	# Clean everything up, including everything auto-generated
	# at build time that needs not to be kept around in the Debian diff
	find -type d -name autom4te.cache -print0 | xargs -0 -r rm -rf \;
	find -type f \( -name missing -o -name install-sh -o -name mkinstalldirs \
	-o -name depcomp -o -name ltmain.sh -o -name configure \
	-o -name config.sub -o -name config.guess \
	-o -name Makefile.in \) -print0 | xargs -0 rm -f
	-rm -f platform.h auto-include.h
	find -type d -name build -print0 | xargs -0 -r rm -rf \;
	find \( -name config.sub -o -name config.guess \) -print0 | xargs -0 -r rm -f \;
	# Final static cleanups
	if [ -r debian/deletable.files ] ; then \
		xargs -t -r rm -f < debian/deletable.files ;\
	fi
	-rm debian/deletable.files
	#see also debian/clean
	dh_clean

override_dh_auto_configure:
	chmod +x debian/autogen.sh
	debian/autogen.sh
	dh_auto_configure

=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases/denemo/ denemo-(.*)\.tar\.gz

## denemo 0.9.0

=== debian/changelog ===
denemo (0.9.0-2) unstable; urgency=low

  * debian/rules Check if denemo-data (arch-all package) is being built
    before calling chmod in order to fix FTBFS.

 -- Josue Abarca <jmaslibre@debian.org.gt>  Tue, 17 May 2011 13:16:59 -0600

denemo (0.9.0-1) unstable; urgency=low

  * New upstream release. (closes: Bug#601639)
  * actions_Makefile.am.diff patch dropped, because it is no longer useful.
  * configure.in.diff patch updated.
  * use_libsmf_of_os.diff patch updated.
  * debian/rules changed to use the sequence addon -with autoreconf-.
  * librsvg2-dev added to Build-Depends.
  * debian/control
    - Vcs-Git and Vcs-Browser fields added.
    - Standards Version updated to 3.9.2: Use Replaces+Breaks
      instead of Conflicts.
    - Minor changes to descriptions.
    - Build dependency on dh-autoreconf added.
    - Build dependency on autotools-dev dropped.
    - Build dependency on libjack-dev dropped.
    - Timidity, playmidi, and jackd where removed from the Recommends.
    - Csound was removed from the Suggests.
    - DM-Upload-Allowed control field added.
  * debian/autogen.sh dropped.
  * debian/copyright updated and rewrote to use DEP 5 rev. 174.
  * debian/rules override_dh_fixperms added in order to fix permissions of
    the file "actions/lalr.scm".
  * debian/watch file updated.

 -- Josue Abarca <jmaslibre@debian.org.gt>  Sat, 14 May 2011 18:36:04 -0600

=== debian/control ===
Source: denemo
Section: sound
Priority: optional
Maintainer: Josue Abarca <jmaslibre@debian.org.gt>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), guile-1.8-dev,
 libaubio-dev, portaudio19-dev, libfftw3-dev, libgtk2.0-dev,
 libxml2-dev, libsamplerate0-dev, automake, libtool,
 libgtksourceview2.0-dev, libfluidsynth-dev, flex, bison, autoconf,
 automake1.11, libsmf-dev (>= 1.3), autopoint, librsvg2-dev,
 dh-autoreconf
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/collab-maint/denemo.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/denemo.git
Homepage: http://www.denemo.org

Package: denemo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, denemo-data (= ${source:Version}), ttf-denemo (= ${source:Version})
Recommends: denemo-doc (= ${source:Version}), lilypond, alsa
Description: gtk+ front end to GNU Lilypond
 GNU Denemo is a GUI musical score editor written in C/gtk+. It is
 intended primarily as a front end to GNU Lilypond, but is adaptable to
 other computer-music-related purposes as well.

Package: denemo-data
Architecture: all
Depends: ${misc:Depends}
Replaces: denemo (<< 0.8.12)
Breaks: denemo (<< 0.8.12)
Description: data for denemo
 GNU Denemo is a GUI musical score editor written in C/gtk+. It is
 intended primarily as a front end to GNU Lilypond, but is adaptable to
 other computer-music-related purposes as well.
 .
 This package contains the arch-independent files.

Package: denemo-doc
Architecture: all
Depends: ${misc:Depends}
Replaces: denemo (<< 0.8.12)
Breaks: denemo (<< 0.8.12)
Section: doc
Description: documentation and examples for denemo
 GNU Denemo is a GUI musical score editor written in C/gtk+. It is
 intended primarily as a front end to GNU Lilypond, but is adaptable to
 other computer-music-related purposes as well.
 .
 This package contains the HTML documentation and examples.

Package: ttf-denemo
Architecture: all
Depends: ${misc:Depends}
Replaces: denemo (<< 0.8.12)
Breaks: denemo (<< 0.8.12)
Section: fonts
Description: music notation symbol fonts for denemo
 GNU Denemo is a GUI musical score editor written in C/gtk+. It is
 intended primarily as a front end to GNU Lilypond, but is adaptable to
 other computer-music-related purposes as well.
 .
 This package contains the Music Notation Symbol Fonts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_fixperms:
	dh_fixperms
# check if denemo-data (arch-all package) is being built
ifneq (,$(filter denemo-data, $(shell dh_listpackages)))
	#This file shoul not be executable
	chmod 0644 debian/denemo-data/usr/share/denemo/actions/lalr.scm
endif

## denemo 0.9.2

=== templates/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# templates/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgincludedir = $(includedir)/denemo
pkglibdir = $(libdir)/denemo
pkglibexecdir = $(libexecdir)/denemo
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = templates
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/binreloc.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
pkgdatadir = ${datarootdir}/denemo
ACLOCAL = ${SHELL} /home/jjbenham/src/denemo/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/jjbenham/src/denemo/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/jjbenham/src/denemo/missing --run autoconf
AUTOHEADER = ${SHELL} /home/jjbenham/src/denemo/missing --run autoheader
AUTOMAKE = ${SHELL} /home/jjbenham/src/denemo/missing --run automake-1.11
AWK = gawk
BINRELOC_CFLAGS = 
BINRELOC_LIBS = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -pthread -I/usr/include/gtk-2.0 -I/usr/lib/i386-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/cairo -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include      -I/usr/include/libxml2   -pthread -I/usr/include/gtk-2.0 -I/usr/lib/i386-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gtksourceview-2.0 -I/usr/include/libxml2 -I/usr/include/cairo -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -pthread -I/usr/include/librsvg-2.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo     -D_HAVE_FLUIDSYNTH_   -D_HAVE_PORTAUDIO_ -pthread   -I/usr/include/aubio      
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FFTW_CFLAGS =  
FFTW_LIBS = -lfftw3 -lm  
FGREP = /bin/grep -F
FLUIDSYNTH_CFLAGS =  
FLUIDSYNTH_LIBS = -lfluidsynth  
FONTCONFIG_CFLAGS =  
FONTCONFIG_LIBS = -lfontconfig  
GMSGFMT = /usr/bin/msgfmt
GREP = /bin/grep
GTK2_CFLAGS = -pthread -I/usr/include/gtk-2.0 -I/usr/lib/i386-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/cairo -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GTK2_LIBS = -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
GTKSOURCEVIEW_CFLAGS = -pthread -I/usr/include/gtk-2.0 -I/usr/lib/i386-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gtksourceview-2.0 -I/usr/include/libxml2 -I/usr/include/cairo -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GTKSOURCEVIEW_LIBS = -pthread -lgtksourceview-2.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
GUILE = /usr/bin/guile
GUILE_CFLAGS =   
GUILE_CONFIG = /usr/bin/guile-config
GUILE_LDFLAGS =    -lguile -lltdl -lgmp -lcrypt -lm -lltdl
GUILE_LIBS = -lguile -lgmp -lcrypt -lm -lltdl  
GUILE_TOOLS = /usr/bin/guile-tools
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
JACK_CFLAGS = 
JACK_LIBS = 
LD = /usr/bin/ld
LDFLAGS = 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBAUBIO_CFLAGS = -I/usr/include/aubio  
LIBAUBIO_LIBS = -laubio  
LIBICONV = -liconv
LIBINTL = 
LIBOBJS = 
LIBS = -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0   -lguile -lgmp -lcrypt -lm -lltdl   -lxml2   -pthread -lgtksourceview-2.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0   -pthread -lrsvg-2 -lm -lgio-2.0 -lgdk_pixbuf-2.0 -lcairo -lgmodule-2.0 -lgobject-2.0 -lgthread-2.0 -lrt -lglib-2.0   -lfontconfig   -D_HAVE_FLUIDSYNTH_ -lfluidsynth   -lportaudio -lasound -lm -lpthread   -laubio   -lfftw3 -lm   -lsamplerate  
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/jjbenham/src/denemo/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = denemo
PACKAGE_BUGREPORT = denemo-devel@gnu.org
PACKAGE_DATA_DIR = ${datarootdir}/denemo
PACKAGE_NAME = denemo
PACKAGE_STRING = denemo 0.9.2
PACKAGE_TARNAME = denemo
PACKAGE_URL = 
PACKAGE_VERSION = 0.9.2
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PORTAUDIO_CFLAGS = -pthread  
PORTAUDIO_LIBS = -lportaudio -lasound -lm -lpthread  
POSUB = po
RANLIB = ranlib
RSVG_CFLAGS = -pthread -I/usr/include/librsvg-2.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo  
RSVG_LIBS = -pthread -lrsvg-2 -lm -lgio-2.0 -lgdk_pixbuf-2.0 -lcairo -lgmodule-2.0 -lgobject-2.0 -lgthread-2.0 -lrt -lglib-2.0  
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
SMF_CFLAGS = 
SMF_INCLUDE = -I$(top_srcdir)/libsmf
SMF_LDD = ../libsmf/libsmf.a
SMF_LIBS = 
STRIP = strip
USE_NLS = yes
VERSION = 0.9.2
WHICH_SMF = libsmf
XGETTEXT = /usr/bin/xgettext
XML2_CFLAGS = -I/usr/include/libxml2  
XML2_LIBS = -lxml2  
YACC = bison -y
YFLAGS = 
abs_builddir = /home/jjbenham/src/denemo/templates
abs_srcdir = /home/jjbenham/src/denemo/templates
abs_top_builddir = /home/jjbenham/src/denemo
abs_top_srcdir = /home/jjbenham/src/denemo
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
denemo_bin_path = ${exec_prefix}/lib/denemo/modules
denemo_load_path = ${datarootdir}/denemo/modules
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/jjbenham/src/denemo/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
samplerate_CFLAGS =  
samplerate_LIBS = -lsamplerate  
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc/denemo
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
SUBDIRS = band chamber choral jazz 
all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu templates/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu templates/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \

=== debian/changelog ===
denemo (0.9.2-3) unstable; urgency=low

  * Set the environment variables listed by dpkg-buildflags using
    a less intrusive approach:
    - debian/rules override_dh_auto_configure added to set the
      environment variables listed by dpkg-buildflags.
    - debian/compat changed from 9 to 7
    - debian/control debhelper build dependency version reverted
      from 9 to 7.0.50~

 -- Josue Abarca <jmaslibre@debian.org>  Tue, 13 Aug 2012 17:08:04 -0600

denemo (0.9.2-2) unstable; urgency=low

  * glib-single-include.diff Patch added in order to include glib.h
    instead of individual header. Thanks to Michael Biebl for his help to
    fix this bug (closes: 665520).
  * debian/control
    - New maintainer address. Thanks to Jan Hauke Rahm for his sponsorships.
    - Standards Version updated to 3.9.3: No changes required.
  * Denemo now uses security hardening build flags  (closes: 683563)
    - debian/compat, and debian/control build dependency on debhelper,
      raised to 9 in order to set environment variables listed by
      dpkg-buildflags by default.
    - format_error_strings.diff patch added to format error strings safely.

 -- Josue Abarca <jmaslibre@debian.org>  Fri, 27 Jul 2012 23:37:51 -0600

denemo (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Makefile.am.diff patch updated.
  * use_libsmf_of_os.diff patch droped because now upstream uses the
    shared library libsmf installed in the O. S. by default (See the
    "--with-included-smf" option in the configure script).
  * debian/ttf-denemo.install updated in order to include all the fonts.
  * debian/copyright
    - Format field updated.
    - Denemo.ttf's license changed from SIL-Open-Font-License to GPL-3+
      because this is a new font released under a different license.
    - Fetta.ttf name updated to feta.ttf.
    - Emmentaler.ttf copyright information added.
  * debian/ttf-denemo.install updated in order to include all the fonts.
  * debian/rules override_dh_auto_install added in order to delete empty
    directories that are not needed by denemo.
  * debian/control
    - Vcs-Git field updated.
    - Vcs-Browser field updated.
    - Build dependency on flex and bison droped, because
      upstream is no longer using flex and bison.

 -- Josue Abarca <jmaslibre@debian.org.gt>  Mon, 03 Oct 2011 21:59:04 -0600

denemo (0.9.0-3) unstable; urgency=low

  * debian/copyright
    - References about the file soundfonts/A320U.sf2 were added.
    - Syntax's bugs were fixed.
    - Files: m4/binreloc.m4 License short_name fixed.

 -- Josue Abarca <jmaslibre@debian.org.gt>  Fri, 20 May 2011 13:41:49 -0600

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: denemo
 Section: sound
 Priority: optional
-Maintainer: Josue Abarca <jmaslibre@debian.org.gt>
+Maintainer: Josue Abarca <jmaslibre@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), guile-1.8-dev,
  libaubio-dev, portaudio19-dev, libfftw3-dev, libgtk2.0-dev,
  libxml2-dev, libsamplerate0-dev, automake, libtool,
- libgtksourceview2.0-dev, libfluidsynth-dev, flex, bison, autoconf,
- automake1.11, libsmf-dev (>= 1.3), autopoint, librsvg2-dev,
- dh-autoreconf
+ libgtksourceview2.0-dev, libfluidsynth-dev, autoconf, automake1.11,
+ libsmf-dev (>= 1.3), autopoint, librsvg2-dev, dh-autoreconf
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/collab-maint/denemo.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/denemo.git
+Standards-Version: 3.9.3
+Vcs-Git: git://anonscm.debian.org/collab-maint/denemo.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/denemo.git
 Homepage: http://www.denemo.org
 
 Package: denemo

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 %:
 	dh $@ --with autoreconf
 
+override_dh_auto_configure:
+	dh_auto_configure -- $(shell dpkg-buildflags --export=configure)
+
 override_dh_fixperms:
 	dh_fixperms
 # check if denemo-data (arch-all package) is being built
@@ -14,3 +17,11 @@
 	#This file shoul not be executable
 	chmod 0644 debian/denemo-data/usr/share/denemo/actions/lalr.scm
 endif
+
+override_dh_auto_install:
+	dh_auto_install
+# check if denemo-data (arch-all package) is being built
+ifneq (,$(filter denemo-data, $(shell dh_listpackages)))
+	#The empty directories are not needed
+	rmdir --ignore-fail-on-non-empty --parents --verbose debian/tmp/usr/share/denemo/actions/menus/ObjectMenu/ChordMenu/Markings/TextMarks
+endif
